Last Comment Bug 760983 - [10.8] background.png needs to be resized for Mountain Lion
: [10.8] background.png needs to be resized for Mountain Lion
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Installer (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 20.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
Depends on:
Blocks: TB-mountain-lion-com
  Show dependency treegraph
 
Reported: 2012-06-03 06:47 PDT by Nomis101
Modified: 2012-11-28 06:07 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
-
+
-
+
fixed
fixed
18+
fixed


Attachments
Screenshot of the issue on 10.8 (38.69 KB, image/jpeg)
2012-06-03 06:47 PDT, Nomis101
no flags Details
new graphics (60.24 KB, patch)
2012-08-19 10:31 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Review
installer graphics of 452x316 (61.97 KB, patch)
2012-11-12 08:15 PST, Andreas Nilsson (:andreasn)
bwinton: ui‑review-
Details | Diff | Review
installer graphics in 72dpi (49.68 KB, patch)
2012-11-13 07:34 PST, Andreas Nilsson (:andreasn)
no flags Details | Diff | Review
installer graphics in 70dpi (135.65 KB, patch)
2012-11-13 09:17 PST, Andreas Nilsson (:andreasn)
standard8: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17+
Details | Diff | Review
10.8 with patch (220.49 KB, image/png)
2012-11-20 01:42 PST, Mark Banner (:standard8)
no flags Details

Description Nomis101 2012-06-03 06:47:39 PDT
Created attachment 629602 [details]
Screenshot of the issue on 10.8

Same as Bug 736655 for Firefox. We also need to resize background.png for Thunderbird.
Comment 1 Mark Banner (:standard8) 2012-06-05 03:58:44 PDT
Andreas: can you come up with a revised image (I think you did the original Mac ones), and I'll then find someone to do the dance to get the images into the dmg?
Comment 2 Andreas Nilsson (:andreasn) 2012-06-05 04:52:42 PDT
I don't think I was the one who did the background (that I can remember), but I can reproduce it and upload a new one. What dimensions do we need specifically? Dimensions 451x295? Can I find this graphics in the source tree somewhere?
Comment 3 Nomis101 2012-06-05 10:41:36 PDT
The background.png for officialy branded TB should be /other-licenses/branding/thunderbird/background.png
The 10.8 modified background.png from Firefox now has 437x311px (opened with Preview and inspected into the Information window)
Comment 4 Nomis101 2012-07-02 14:19:11 PDT
Today I've tried the same for the Thunderbird background what Steven did in the Firefox bug [1] and increased the background to 437x311px. But I still had white margins on 10.8. So I've done a bit measurement with PS and increased the background to 453x322px. Now it looks perfect on 10.8. But now it doesn't look so good anymore on 10.7. :-/ So, what can we do?

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=736655#c9
Comment 5 Mark Banner (:standard8) 2012-07-13 10:05:01 PDT
Andreas, could you try taking a look at Nomis's comments. Ping me on irc if you need more mac thinking.
Comment 6 Andreas Nilsson (:andreasn) 2012-07-13 10:16:13 PDT
I'll check it out. I have the graphics almost done sitting on my hard drive.
Comment 7 Andreas Nilsson (:andreasn) 2012-08-19 10:31:28 PDT
Created attachment 653193 [details] [diff] [review]
new graphics

This should do the trick.
Comment 8 Andreas Nilsson (:andreasn) 2012-08-19 10:48:04 PDT
Although I haven't tried it as I don't have a Mountain Lion install (yet, will do one tomorrow). I assume Firefox would have the same issues.
Nomis: does everything look all right in the Firefox installer?
Comment 9 Nomis101 2012-08-19 12:55:21 PDT
(In reply to Andreas Nilsson (:andreasn) from comment #8)
> Nomis: does everything look all right in the Firefox installer?
I'm not sure which version of FF should be fixed. I've tested FF 14.0.1 (official branding) and FF 17a1 (unofficial branding), which both have issues (light white border).
Comment 10 Andreas Nilsson (:andreasn) 2012-08-23 08:34:11 PDT
hm, so creating a dmg gives me a window the size of 452x315 on Mountain Lion. Does anyone else get that? Do we have any parameters specifying the window dimensions?
Comment 11 Mark Banner (:standard8) 2012-10-01 13:12:10 PDT
(In reply to Andreas Nilsson (:andreasn) from comment #10)
> hm, so creating a dmg gives me a window the size of 452x315 on Mountain
> Lion. Does anyone else get that? Do we have any parameters specifying the
> window dimensions?

cc'ing some people who may be able to help.
Comment 12 Andreas Nilsson (:andreasn) 2012-11-12 08:15:48 PST
Created attachment 680641 [details] [diff] [review]
installer graphics of 452x316

Mark also reported a initial window size of 452x316, so here is the patch for that.
Comment 13 Blake Winton (:bwinton) (:☕️) 2012-11-12 11:36:39 PST
Comment on attachment 680641 [details] [diff] [review]
installer graphics of 452x316

On Mac OS X 10.8.2 I get this:
https://dl.dropbox.com/u/2301433/Screenshots/SmallInstaller.png
which doesn't look quite right…  ;)

Thanks,
Blake.
Comment 14 Andreas Nilsson (:andreasn) 2012-11-13 05:17:08 PST
Blake: I assume you're running Mountain Lion?
Comment 15 Andreas Nilsson (:andreasn) 2012-11-13 05:17:51 PST
Errr... you said what version you were running in the comment. Nevermind :)
Comment 16 Andreas Nilsson (:andreasn) 2012-11-13 05:22:25 PST
it seems Blake's window is 436x316px so the image size in the patch should be correct.
Comment 17 Andreas Nilsson (:andreasn) 2012-11-13 07:34:54 PST
Created attachment 681031 [details] [diff] [review]
installer graphics in 72dpi

Florian pointed out that when he fixed the Instantbird installer graphics the other day he had ran into a similar problem and was able to fix it by changing the dpi of the image from 90dpi to 72dpi. Looking at the Firefox installer graphics they also use 72dpi. The attached patch uses this dpi too, lets see if that does the trick.
Comment 18 Andreas Nilsson (:andreasn) 2012-11-13 09:17:18 PST
Created attachment 681074 [details] [diff] [review]
installer graphics in 70dpi

Here we go. Setting it to 70 DPI made the trick.
Comment 19 Andreas Nilsson (:andreasn) 2012-11-13 09:22:35 PST
If anyone on non-mountainlion-osx are able to try this out it would be great.
Comment 20 Nomis101 2012-11-18 16:33:35 PST
This looks good for me on 10.8 and on 10.7. On 10.7 I only noticed, that the arrow between the application icon and the folder icon is shifted a bit to the folder icon (and not in the middle). Except from that, it looks good.
Comment 21 Andreas Nilsson (:andreasn) 2012-11-19 05:48:55 PST
the arrow shiftning I don't think there is much we can do about. Setting up for review.
Comment 22 Mark Banner (:standard8) 2012-11-19 11:17:08 PST
Comment on attachment 681074 [details] [diff] [review]
installer graphics in 70dpi

If Blake's happy with this then so am I.
Comment 23 Blake Winton (:bwinton) (:☕️) 2012-11-19 13:02:25 PST
Comment on attachment 681074 [details] [diff] [review]
installer graphics in 70dpi

I'm still getting strange results (https://dl.dropbox.com/u/2301433/Screenshots/InstallerOff.png), but I'm willing to believe that they're just my setup.  So, I'm going to say ui-r=me, on the condition of a try-build that doesn't show the problem I'm seeing.  ;)

Thanks,
Blake.
Comment 24 Andreas Nilsson (:andreasn) 2012-11-19 15:11:46 PST
My own mercurial account seems to have been disabled due to inactivity, so Mike helped me push it https://hg.mozilla.org/try-comm-central/rev/cf6d02f7217f
Comment 25 Mark Banner (:standard8) 2012-11-20 01:42:23 PST
Created attachment 683478 [details]
10.8 with patch

Here's what I get on 10.8 with the try server build (available here: http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/mconley@mozilla.com-cf6d02f7217f/try-comm-central-macosx64/)
Comment 26 Blake Winton (:bwinton) (:☕️) 2012-11-20 06:25:09 PST
Not perfect, but better than it was.  Let's ship it.
Comment 27 Ryan VanderMeulen [:RyanVM] 2012-11-20 17:07:07 PST
https://hg.mozilla.org/comm-central/rev/7e707fcf81d3

Note that I had to back this out and re-land it due to me forgetting to set you as the patch author, Andreas. I've asked you before and I'll politely ask you again, please configure your hg so that your patches include that information to begin with. Thanks!
https://developer.mozilla.org/en-US/docs/Creating_a_patch_that_can_be_checked_in
Comment 28 Andreas Nilsson (:andreasn) 2012-11-21 09:15:14 PST
Ryan: Sorry about that. I was under the impression that my hgrc was correct now.

Filed bug #814044 about the icon position.
Comment 29 Mark Banner (:standard8) 2012-11-28 05:54:03 PST
Comment on attachment 681074 [details] [diff] [review]
installer graphics in 70dpi

[Triage Comment]
Taking this forward onto branches for the next releases.

Note You need to log in before you can comment on or make changes to this bug.